<html>
	<head> 
		<meta charset="utf-8">
		<link rel="stylesheet" href="{{ url_for('static',filename='styles/style.css') }}" type="text/css"> 
	<link href='https://fonts.googleapis.com/css?family=Nunito:400,300' rel='stylesheet' type='text/css'>
	</head>
	<body>
		<div class="topnav" id="myTopnav">
			  <a href="/">Home</a>
			  <a href="consultar">Consultar</a>
			  <a href="anyadir"> Añadir</a>
			  <a href="borrar"  class="active">Borrar</a>
			  <a href="modificar">Modificar</a>
		</div>
	
		<form action="borrador" method="get" onsubmit="return validacion()">
			<h1>Borrar</h1>
			<legend><span class="punto"> </span>De la siguiente tabla:</legend>
			<select id="tablas" name="tablas">
				<option value="productos" onclick="myFunction1()">Productos</option>
				<option value="fabricantes" onclick="myFunction2()">Fabricantes</option>
				<option value="tipos" onclick="myFunction3()">Tipos</option>
			</select>
			
				<div id="productos">
					<legend><span class="punto"> </span>Borrar fila dónde:</legend>
						<select name="columna1">
							<option value="id_mat" >id_mat</option>
							<option value="descripcion" >descripción</option>
							<option value="precio" >precio</option>
							<option value="id_fab" >id_fab</option>
							<option value="id_tipo">id_tipo</option>
						</select>
						
						<legend><span class="punto"> </span>Sea:</legend>
						<input type="text" id="contenido1" name="contenido1" value=""><br>
				</div>
				
				<div id="fabricantes">
					
					<legend><span class="punto"> </span>Borrar fila dónde:</legend>
						<select name="columna2">
							<option value="id_fab">id_fab</option>
							<option value="descripcion">descripción</option>
							<option value="fecha_alta">fecha_alta</option>
						</select>
						
						<legend><span class="punto"> </span>Sea:</legend>
						<input type="text" id="contenido2" name="contenido2" value=""><br>
					
				</div>
				
				<div id="tipos">
					<legend><span class="punto"> </span>Borrar fila dónde:</legend>
						<select name="columna3">
							<option value="id_tipo">id_tipo</option>
							<option value="tipo">tipo</option>
						</select>
						
						<legend><span class="punto"> </span>Sea:</legend>
						<input type="text" id="contenido3" name="contenido3" value=""><br>
						
				</div>

		  <br><br>
		 <input type="submit" class="myButton" value="Enviar">
		</form>
		
		
		{% if error == True %}
		
			<script>
			
				alert("No existe el valor que ha introducido o se ha producido un error a la hora de borrar. Vuelva a intentarlo.");
		
			</script>
			
		{% else %}
		
			<div id="tabla">
		
				<table border = 1>
						
					<tr>
										
						{% for c in cabecera %}
									
								<th> {{ c }} </th>
									
						{% endfor %}
								
					</tr>
							
					{% for r in rows %}
						 
						<tr>
							
							{% if numcab == 2 %}
								<td> {{ r[0] }} </td>
								<td> {{ r[1] }} </td>
							{% endif %}
							{% if numcab == 3 %}
								<td> {{ r[0] }} </td>
								<td> {{ r[1] }} </td>
								<td> {{ r[2] }} </td>
							{% endif %}
							{% if numcab == 5 %}
								<td> {{ r[0] }} </td>
								<td> {{ r[1] }} </td>
								<td> {{ r[2] }} </td>
								<td> {{ r[3] }} </td>
								<td> {{ r[4] }} </td>
							{% endif %}
										
						</tr>
								
					{% endfor %}
								
				</table>
			
			</div>
		
		{% endif %}
		
		<script>
			
			function myFunction1() {
				document.getElementById("productos").style.display = "block";
				document.getElementById("fabricantes").style.display = "none";
				document.getElementById("tipos").style.display = "none";
				document.getElementById("tabla").style.display = "none";
			}    
			function myFunction2() {
				document.getElementById("productos").style.display = "none";
				document.getElementById("fabricantes").style.display = "block";
				document.getElementById("tipos").style.display = "none";
				document.getElementById("tabla").style.display = "none";
			}    
			function myFunction3() {
				document.getElementById("productos").style.display = "none";
				document.getElementById("fabricantes").style.display = "none";
				document.getElementById("tipos").style.display = "block";
				document.getElementById("tabla").style.display = "none";
			}
			function validacion() {
				tabla = document.getElementById("tablas").selectedIndex;
				if ( tabla == 0 ) {
					valor = document.getElementById("contenido1").value;
					if( valor == null || valor.length == 0 || /^\s+$/.test(valor) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					return true;
				}
				else if ( tabla == 1) {
					valor2 = document.getElementById("contenido2").value;
					if( valor2 == null || valor2.length == 0 || /^\s+$/.test(valor2) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
				
					return true;
				}
				else {
					valor3 = document.getElementById("contenido3").value;
					if( valor3 == null || valor3.length == 0 || /^\s+$/.test(valor3) ){
						alert("No puedes dejar los campos vacíos.");
						return false;
					}
					return true;
				}
			}
		</script>
	</body>

</html>
